<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <Version>1.0.0.0</Version>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <AssetTargetFallback>$(AssetTargetFallback);portable-net45+win8+wp8+wpa81;</AssetTargetFallback>
    <AssemblyName>YGNT.QuestionLibrary.Application</AssemblyName>
    <PackageId>YGNT.QuestionLibrary.Application</PackageId>
    <GenerateAssemblyConfigurationAttribute>false</GenerateAssemblyConfigurationAttribute>
    <GenerateAssemblyCompanyAttribute>false</GenerateAssemblyCompanyAttribute>
    <GenerateAssemblyProductAttribute>false</GenerateAssemblyProductAttribute>
    <RootNamespace>YGNT.QuestionLibrary</RootNamespace>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>YGNT.QuestionLibrary.Application.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>YGNT.QuestionLibrary.Application.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>
  <ItemGroup>
    <Compile Remove="Papers\IScoringAppService.cs" />
    <Compile Remove="Papers\ScoringAppService.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\QuestionSwap\OfficeOpenXmlHelp\OfficeOpenXmlHelp.csproj" />
    <ProjectReference Include="..\..\QuestionSwap\QuestionSwapDoc\QuestionSwapDoc.csproj" />
    <ProjectReference Include="..\..\YGNT.File\YGNT.File.Application\YGNT.File.Application.csproj" />
    <ProjectReference Include="..\..\YGNT.Infrastructure\YGNT.Infrastructure.csproj" />
    <ProjectReference Include="..\YGNT.QuestionLibrary.Core\YGNT.QuestionLibrary.Core.csproj" />
    <ProjectReference Include="..\YGNT.QuestionLibrary.EntityFrameworkCore\YGNT.QuestionLibrary.EntityFrameworkCore.csproj" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Abp.AspNetCore" Version="5.13.0" />
    <PackageReference Include="Abp.EntityFrameworkCore" Version="5.13.0" />
    <PackageReference Include="Abp.AutoMapper" Version="5.13.0" />
    <PackageReference Include="Mapster" Version="7.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Core" Version="2.2.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.10" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="5.6.3" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="5.6.3" />
  </ItemGroup>
  <ItemGroup>
    <None Update="Doc\试题标记说明举例.docx">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
</Project>